Bug 346134 - HIgh CPU usage of the QML plotter component
Summary: HIgh CPU usage of the QML plotter component
Status: RESOLVED FIXED
Alias: None
Product: frameworks-kdeclarative
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Marco Martin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-13 10:21 UTC by Luca Beltrame
Modified: 2017-11-29 23:05 UTC (History)
20 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luca Beltrame 2015-04-13 10:21:37 UTC
When the plotter component is used (for graphs etc) in an "updating" manner (see, e.g., the CPU widget or the network traffic widget) there is a noticeable increase in CPU usage. The effect is cumulative: the more plotter widgets are shown, the higher the CPU usage is.

This has been observed with both recent Mesa git (to be 10.6) and with Mesa 10.5. Radeon and intel drivers seem to trigger this behavior (I don't own NVIDIA hardware, so I can't test). 
It wasn't present when the component was first introduced: f4e2f0685a92428b5ae24360a7f6dfc937a62987 introduced it, in fact removing the update() call makes the CPU usage go down.

Reproducible: Always

Steps to Reproduce:
1. Add a network monitoring widget to Plasma


Actual Results:  
CPU usage increases, proportionally with the number of widgets (plotters) shown.

Expected Results:  
CPU usage does not increase.
Comment 1 Marco Martin 2015-04-13 11:11:35 UTC
i tought QWindow::update() was kindof even compressed already...
in this case we should find a way to do only one queued update per window when a lot of widgets ask for it in a short time
Comment 2 Johannes Mueller 2015-04-24 16:51:56 UTC
I can confirm that bug.

It is quite annoying given that the cpu usage of the plotter component makes the fan of my computer get active.
Comment 3 wazyk 2015-05-04 11:38:37 UTC
Had same issue with plasma 5.3 recently installed on Arch.
With CPU Load plasmoid, high CPU usage for Xorg (~60%), fans spinning.
Removing plasmoid solves the issue.
Comment 4 Mircea Kitsune 2015-05-05 12:35:59 UTC
I can confirm this too, as I have mentioned here:

https://forum.kde.org/viewtopic.php?f=289&t=124937&sid=8a338fe81f6c00204fb3d86f0a5fb0e7&p=334163#p334149
Comment 5 Christoph Obexer 2015-06-14 10:00:00 UTC
I also saw similar behavior in the plasma network manager widget and the telepathy systray component, is that plausible or should I investigate those further?
Comment 6 Nic Brooke 2015-06-15 22:11:24 UTC
This occurs on Manjaro Plasma 5.3.1 (3,18 Kernel).  CPU useage returns to normal after all widgets removed - CPU monitor seemed to be the worst culprit.
Comment 7 Mathias Homann 2017-11-29 22:56:05 UTC
If this was "RESOLVEd FIXED" why is it still happening in 11-2017?
Comment 8 David Edmundson 2017-11-29 23:05:17 UTC
And you know the bug is this?